Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorElliott Baron2011-06-29 16:40:34 -0400
committerElliott Baron2011-06-29 16:52:15 -0400
commit0af0da2aaff242ca59d33a29d84b98d8e403e1bb (patch)
treecb4a4c6dd7ccb68643530e8124d17d4354453584 /valgrind/change_ver.sh
parent37d977611405c6530ecb6636a7abecbed0d89869 (diff)
downloadorg.eclipse.linuxtools-0af0da2aaff242ca59d33a29d84b98d8e403e1bb.tar.gz
org.eclipse.linuxtools-0af0da2aaff242ca59d33a29d84b98d8e403e1bb.tar.xz
org.eclipse.linuxtools-0af0da2aaff242ca59d33a29d84b98d8e403e1bb.zip
Bumped version. Added script to change version across all files.
Diffstat (limited to 'valgrind/change_ver.sh')
-rwxr-xr-xvalgrind/change_ver.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/valgrind/change_ver.sh b/valgrind/change_ver.sh
new file mode 100755
index 0000000000..6d58f6307f
--- /dev/null
+++ b/valgrind/change_ver.sh
@@ -0,0 +1,10 @@
+#!/bin/bash
+
+if [ $# -ne 2 ]; then
+ echo "usage: $0 old_ver new_ver"
+ exit 1
+fi
+old_ver=$(echo "$1" | sed 's/\./\\./g')
+new_ver=$(echo "$2" | sed 's/\./\\./g')
+
+find -name 'pom.xml' -o -name 'feature.xml' -o -name 'MANIFEST.MF' | xargs sed -i "s/$old_ver/$new_ver/g"

Back to the top